Update several QA tests, configure magic in xfstests directory.

Fix up filters to handle additional xfs_db output.
This commit is contained in:
Nathan Scott
2004-01-19 04:51:52 +00:00
parent 9d8399fbe1
commit ada6e653fa
6 changed files with 25 additions and 35 deletions
+3 -1
View File
@@ -139,7 +139,8 @@ umount $SCRATCH_DEV >>$seq.full 2>&1 \
echo "*** dump attributes (1)"
xfs_db -r -c "inode $inum_1" -c "print a.sfattr" $SCRATCH_DEV
xfs_db -r -c "inode $inum_1" -c "print a.sfattr" $SCRATCH_DEV | \
sed -e '/secure = /d'
echo "*** dump attributes (2)"
@@ -148,6 +149,7 @@ xfs_db -r -c "inode $inum_2" -c "a a.bmx[0].startblock" -c print $SCRATCH_DEV \
s/^(hdr.firstused =) (\d+)/\1 FIRSTUSED/;
s/^(hdr.freemap\[0-2] = \[base,size]).*/\1 [FREEMAP..]/;
s/^(entries\[0-2] = \[hashval,nameidx,incomplete,root,local]).*/\1 [ENTRIES..]/;
s/^(entries\[0-2] = \[hashval,nameidx,incomplete,root,secure,local]).*/\1 [ENTRIES..]/;
print;'
echo "*** done"
+13 -24
View File
@@ -50,31 +50,20 @@ trap "rm -f $tmp.*; exit \$status" 0 1 2 3 15
. ./common.rc
. ./common.filter
[ -z "$KWORKAREA" ] && \
_notrun "Can't run srcdiff without KWORKAREA set"
[ -d "$KWORKAREA/fs/xfs" ] || \
_notrun "Can't find XFS source under \"$KWORKAREA\""
[ -z "$WORKAREA" ] && \
_notrun "Can't run srcdiff without WORKAREA set"
[ -f "$WORKAREA/xfstests/tools/srcdiff" ] || \
_notrun "Can't find srcdiff tool under \"$WORKAREA\""
[ -d "$WORKAREA/xfsprogs/include" ] || \
_notrun "Can't find XFS command headers under \"$WORKAREA\""
# real QA test starts here
cd `pwd`
if [ -z "$WORKAREA" ]
then
_notrun "Can't run srcdiff without WORKAREA set"
fi
if [ ! -f $WORKAREA/xfstests/tools/srcdiff ]
then
_notrun "Can't find srcdiff tool under \"$WORKAREA\""
fi
if [ ! -d $WORKAREA/linux/fs/xfs ]
then
_notrun "Can't find XFS source under \"$WORKAREA\""
fi
if [ ! -d $WORKAREA/xfsprogs/include ]
then
_notrun "Can't find XFS command headers under \"$WORKAREA\""
fi
cd $WORKAREA/xfstests
cd "$WORKAREA/xfstests"
echo Silence is golden.
perl tools/srcdiff -q >$seq.full
if ! diff $seq.full $seq.good >/dev/null; then
Vendored
+2 -2
View File
@@ -227,7 +227,7 @@ AC_DEFUN([AC_PACKAGE_NEED_LIBXFSINIT_LIBXFS],
echo
echo 'FATAL ERROR: could not find a valid XFS base library.'
echo 'Install or upgrade the XFS library package.'
echo 'Alternatively, run "make install-lib" from the xfsprogs source.'
echo 'Alternatively, run "make install-dev" from the xfsprogs source.'
exit 1
])
libxfs="-lxfs"
@@ -242,7 +242,7 @@ AC_DEFUN([AC_PACKAGE_NEED_ATTRLIST_LIBHANDLE],
echo
echo 'FATAL ERROR: could not find a current XFS handle library.'
echo 'Install or upgrade the XFS library package.'
echo 'Alternatively, run "make install-lib" from the xfsprogs source.'
echo 'Alternatively, run "make install-dev" from the xfsprogs source.'
exit 1
])
libhdl="-lhandle"
+2 -2
View File
@@ -35,13 +35,13 @@ AC_DEFUN([AC_SIZEOF_POINTERS_AND_LONG],
fi
AC_CHECK_SIZEOF(long, 4)
AC_CHECK_SIZEOF(char *, 4)
if test $ac_cv_sizeof_long -eq 4; then
if test $ac_cv_sizeof_long -eq 4 -o $ac_cv_sizeof_long -eq 0; then
AC_DEFINE(HAVE_32BIT_LONG)
fi
if test $ac_cv_sizeof_long -eq 8; then
AC_DEFINE(HAVE_64BIT_LONG)
fi
if test $ac_cv_sizeof_char_p -eq 4; then
if test $ac_cv_sizeof_char_p -eq 4 -o $ac_cv_sizeof_char_p -eq 0; then
AC_DEFINE(HAVE_32BIT_PTR)
fi
if test $ac_cv_sizeof_char_p -eq 8; then
+2 -2
View File
@@ -25,7 +25,7 @@ AC_DEFUN([AC_PACKAGE_NEED_LIBXFSINIT_LIBXFS],
echo
echo 'FATAL ERROR: could not find a valid XFS base library.'
echo 'Install or upgrade the XFS library package.'
echo 'Alternatively, run "make install-lib" from the xfsprogs source.'
echo 'Alternatively, run "make install-dev" from the xfsprogs source.'
exit 1
])
libxfs="-lxfs"
@@ -40,7 +40,7 @@ AC_DEFUN([AC_PACKAGE_NEED_ATTRLIST_LIBHANDLE],
echo
echo 'FATAL ERROR: could not find a current XFS handle library.'
echo 'Install or upgrade the XFS library package.'
echo 'Alternatively, run "make install-lib" from the xfsprogs source.'
echo 'Alternatively, run "make install-dev" from the xfsprogs source.'
exit 1
])
libhdl="-lhandle"
+3 -4
View File
@@ -28,8 +28,8 @@ die "KWORKAREA not set" unless defined $ENV{'KWORKAREA'};
chdir $ENV{'WORKAREA'};
my $kworkarea = $ENV{'KWORKAREA'};
my $xdiff = $ENV{'XDIFF'};
my $quiet=0;
my $usage=0;
my $quiet = 0;
my $usage = 0;
foreach (@ARGV) {
if (/^-q$/) {
@@ -57,8 +57,7 @@ my @difflist = qw(
xfs_imap.h xfs_ialloc_btree.h xfs_inode.h xfs_inode_item.h
xfs_inum.h xfs_log.h xfs_log_priv.h xfs_log_recover.h
xfs_mount.h xfs_quota.h xfs_rtalloc.h
xfs_sb.h xfs_trans.h xfs_trans_space.h xfs_types.h
xfs_fs.h xfs_acl.h xfs_cap.h xfs_mac.h
xfs_sb.h xfs_trans.h xfs_trans_space.h xfs_types.h xfs_fs.h
);
sub straightdiff {